<?php 
session_start();
foreach($_GET as $campo => $valor){${$campo}=trim($valor);} 
foreach($_POST as $campo => $valor){${$campo}=trim($valor);} 

include_once('lib_main.php');
if(!empty($empr)){$link_data=msql_connect('','','',$empr); $cfg_empr=$empr;}
$user_codigo=$_SESSION['user_codigo'];
$user0=data_maes('user',$user_codigo);

// proceso especial
set_lsub_orel();

// $sql_bode='update bode0 set bode_tipo="FISI" where trim(bode_tipo)="" or bode_tipo is null ';
// msql_query($sql_bode,$link_data);

$sql_bode='update bode0 set bode_tipo="DISP" where bode_tipo="" or bode_tipo is null or bode_tipo="FISI"';
msql_query($sql_bode,$link_data);
$sql_bode='update bode0 set bode_tipo="NODI" where bode_tipo="" or bode_tipo is null or bode_tipo="LOGI"';
msql_query($sql_bode,$link_data);


if(empty($lpre))
{
     $lpre='pvp1';
     if($cfg_empr=='imcp'){$lpre='puni3';}
//      if($cfg_empr=='imcp'){$lpre='pvp3';}
}
if(!@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$lpre='pvp1';}

$xlimit=500;
if(empty($user_codigo)){$xlimit=100;}
if(empty($user_codigo)){$format=1;}

if(mb_stristr('gmny.gnya',$cfg_empr)){$solo_ctlg=1;}
if(mb_stristr('gmny.gnya',$cfg_empr)){$ver_tallas=2;}

// formato
// 1 Tienda online
// 2 punto de venta (bodega stock foto)
// 3 toma de pedido (cliente stock foto)
// 4 carrito 
// 5 mantenimiento basico (bodega stock foto) ==> linea,marca,color,fotos,precios
if(empty($format)){$format=1;}
if(!@mb_stristr('sist.supe.admi',$user0['user_tipo']) and $format!=1 and $format!=4){$format=1;}
if($format==4){$xlimit=0;}

if($format==1){$xtitulo='CATALOGO';}
if($format==2){$xtitulo='Punto/Venta';}
if($format==3){$xtitulo='Proforma';}
if($format==4){$xtitulo='Carrito';}
if($format==5){$xtitulo='Mantenimiento';}

if(empty($buscar) and empty($lsub) and empty($mrca) and empty($clor) and ($limit==0 or $limit>$xlimit)){$limit=$xlimit;}

// SELECT SQL
{
     
$sql_item ='select *,';
$sql_item.='count(item_tlla) as item_ctalla ';
$sql_item.='from item0 ';
$sql_item.='left join lsub0 on item_lsub=lsub_codigo ';
$sql_item.='left join mrca0 on item_mrca=mrca_codigo ';
$sql_item.='left join clor0 on item_clor=clor_codigo ';
$sql_item.='left join tlla0 on item_tlla=tlla_codigo ';
$sql_item.='left join kldd0 on item_kldd=kldd_codigo ';
$sql_item.='where item_status not in ("I","X") ';
$sql_item.='and item_descri!="" ';
$sql_item.='and item_codigo not like "99%" ';
// $sql_item.='and item_'.$lpre.'>0 ';
$sql_item.='and item_puni1>0 ';
if(!empty($buscar))
{
     $buscar=alltrim($buscar);
     $buscararray=explode(' ',$buscar);
     for($idx=0; $idx<count($buscararray); $idx++)
     {
          $buscaidx=$buscararray[$idx];
          if(strtolower(substr($buscaidx,-2,2))=='es'){$buscaidx=substr($buscaidx,0,-2);}
          if(strtolower(substr($buscaidx,-1,1))=='s'){$buscaidx=substr($buscaidx,0,-1);}
//           $sql_item.=' and (item_descri like "%'.$buscaidx.'%" or item_codigo like "%'.$buscaidx.'%" or item_codigov like "%'.$buscaidx.'%") ';
          $sql_item.=' and (item_descri like "%'.$buscaidx.'%" or item_codigo like "%'.$buscaidx.'%" or item_codigov like "%'.$buscaidx.'%" or mrca_descri like "%'.$buscaidx.'%") ';
     }
}
if(!empty($lsub)){$sql_item.='and (item_lsub like "'.$lsub.'%") ';}
if(!empty($mrca)){$sql_item.='and (item_mrca = "'.$mrca.'") ';}
if(!empty($clor)){$sql_item.='and (item_clor = "'.$clor.'") ';}
if(!empty($item)){$sql_item.='and (item_codigo like "'.$item.'%") ';}
if(!empty($mdlo)){$sql_item.='and (item_mdlo like "'.$mdlo.'%") ';}
if(!empty($clor))
{
     $clor_tipo=r_fiel('clor',$clor,'tipo');
     $sql_item.=' and (clor_tipo like "'.$clor_tipo.'%")';
}
if($solo_ctlg==1)
{$sql_item.=' and item_ctlg=1 ';}

if(mb_stristr('gnya.gmny',$cfg_empr))
{$sql_item.=' and item_codigo!=item_rfer ';}

if(mb_stristr('gnya.gmny',$cfg_empr) and !empty($categoria))
{
     $categoriax=$categoria;
     if(strtolower(substr($categoriax,-2,2))=='es'){$categoriax=substr($categoriax,0,-2);}
     if(strtolower(substr($categoriax,-1,1))=='s'){$categoriax=substr($categoriax,0,-1);}
     $sql_item.=' and item_descri like "%'.$categoriax.'%" ';
}

if(!empty($tfoto))     
{
     $sql_item.='and left(item_codigo,10) ';     
     if($tfoto==2)
     {$sql_item.='not ';}
     $sql_item.='in(select left(imgi_item,10) from imgi0 where imgi_status!="X" and imgi_item is not null) ';     
}
          
if(!empty($tstock))     
{
     $sql_item.='and left(item_codigo,10) ';
     if($tstock==2)
     {$sql_item.='not ';}
     $sql_item.='in(select left(item,10) ';
     $sql_item.='from (select item, sum(case when left(docu,1)="I" then cant else cant*(-1) end) as stock ';
     $sql_item.='from inve1 left join inve2 on idnum1=idnum2 ';
     $sql_item.='where status not in ("O","X") ';
     
//      filtrar bodega para cuando sea punto de venta o bodega en linea
     if($tstock==1 and !empty($bode))
     {$sql_item.='and bode="'.$bode.'" ';}
     
     $sql_item.='group by item) as qstock ';
     $sql_item.='where stock>0) ';
}
     
$xgroupby='group by item_codigo ';
$xorderby='order by item_descri, item_codigo ';                                 
     
if(mb_stristr('gmny.gnya',$cfg_empr)){$xgroupby='group by item_mdlo,item_raiz ';}
if(mb_stristr('gmny.gnya',$cfg_empr)){$xorderby='order by item_idate, item_codigo ';}
     
if(mb_stristr($orden,'Código')){$xorderby='order by item_codigo ';}
if(mb_stristr($orden,'A-Z')){$xorderby='order by item_descri,item_codigo ';}
if(mb_stristr($orden,'Z-A')){$xorderby='order by item_descri desc,item_codigo ';}
if(mb_stristr($orden,'<')){$xorderby='order by item_pvp1,item_descri,item_codigo ';}
if(mb_stristr($orden,'>')){$xorderby='order by item_pvp1 desc,item_descri,item_codigo ';}
if(mb_stristr($orden,'Canti')){$xorderby='order by cantidad,item_descri,item_codigo ';}

if(mb_stristr('orel',$cfg_empr)){$xorderby=str_replace('item_codigo','item_codigov',$xorderby);}
     
$sql_item.=$xgroupby;                                 
$sql_item.=$xorderby;
if(!empty($limit)){$sql_item.='limit '.$limit;}

     
     
if(!empty($user_codigo))
{
     $dcar='CAR1';
     $dcar0=data_maes('docu',$dcar);

     $sql_carr ='select * ';
     $sql_carr.='from '.$dcar0['docu_tabla'].'1 ';
     $sql_carr.='where status not in ("I","X") ';
     $sql_carr.='and docu="'.$dcar.'" ';
     $sql_carr.='and iuser='.$user_codigo.' ';
     $res_carr=msql_query($sql_carr,$link_data);
     $idcarr=msql_result($res_carr,0,'idnum1');
     if(!empty($idcarr))
     {
          $sql_updt ='update '.$dcar0['docu_tabla'].'2 ';
          $sql_updt.='left join item0 on item=item_codigo ';
          $sql_updt.='set puni=item_puni'.substr($lpre,-1).',';
          $sql_updt.='iva=item_iva ';
          $sql_updt.='where idnum2='.$idcarr.' ';
          $sql_updt.='and item_puni'.substr($lpre,-1).'>0 ';
          $res_updt=msql_query($sql_updt,$link_data);
     }
     
}     
     
     
if($format==4 and !empty($user_codigo))
{
     
//      if(!empty($enti) and !empty($lpre))
     if(strlen(trim($enti))>=10)
     {
          if(empty($lpre)){$lpre='puni1';}
          $sql_updt='update enti0 set enti_prec='.substr($lpre,-1).' where enti_codigo like "'.substr($enti,0,10).'%"';
          $res_updt=msql_query($sql_updt,$link_data);
     }
     
     $docu='CAR1';
     $docu0=data_maes('docu',$docu);

     $sql_item ='select *, ';
     $sql_item.='sum(cant) as cantidad ';
     $sql_item.='from '.$docu0['docu_tabla'].'1 ';
     $sql_item.='left join carr2 on idnum1=idnum2 ';
     $sql_item.='left join item0 on item=item_codigo ';
     $sql_item.='where item_status not in ("I","X") ';
     $sql_item.='and docu="'.$docu.'" ';
     $sql_item.='and iuser='.$user_codigo.' ';
     
     $calc_tran=calc_tran($docu0['docu_tabla']);
     if(!empty($calc_tran))
     {$sql_item=str_replace(' from ',','.$calc_tran.' from ',$sql_item);}

     $sql_itemtot=$sql_item;
     
     $sql_item.=$xgroupby;                                 
     $sql_item.=$xorderby;     

     $res_itemtot=msql_query($sql_itemtot,$link_data);
     
}
     
//      echo '*/*/*/*/'.$sql_item;
     
$res_item=msql_query($sql_item,$link_data);

$msgres='';
$msgres.=msql_num_rows($res_item).' Resultado(s)...';

$simi_buscar=trim($buscar);
if(mb_stristr($simi_buscar,' '))
{$simi_buscar=substr($simi_buscar,0,strpos($simi_buscar,' '));}
     
}




echo '<div id="filtros">';
{
// OCULTOS
echo '<input id="format" hide value="'.$format.'">';
echo '<input id="limit" hide value="'.$limit.'">';
echo '<input id="docu" hide value="'.msql_result($res_item,0,'docu').'">';
echo '<input id="idnum1" hide value="'.msql_result($res_item,0,'idnum1').'">';
     
if($format!=4)
{$ptitulo='FILTROS'; include('ele_title.php');}

if(mb_stristr('gmny.gnya',$cfg_empr))
{
     $pvalue=$categoria; $plabel='Categorías'; $pid='categoria'; $ptodo=1;
     $ponchange='{buscar_item(event);}';
     $poptions='Blusas;Vestidos;Faldas;Enterizos;Shorts;Leggins;Camisas;Camisetas;Pantalones;Pijamas;Niñ,Niñ@s;';
     if($format==4){$phide=1;}
     include('ele_select.php');
}

$pid='lsub'; $pvalue=$lsub; $ptodo=1;
$ptabla='lsub';
$plabel='Linea';
$ponchange='{buscar_item(event);}';
if(mb_stristr('gmny.gnya',$cfg_empr)){$phide=1;}
if($format==4){$phide=1;}
include('ele_select.php');

$pid='mrca'; $pvalue=$mrca; $ptodo=1;
$ptabla='mrca';
$plabel='Marca';
$ponchange='{buscar_item(event);}';
$pwhere='(mrca_codigo in(select distinct item_mrca from inve1 left join inve2 on idnum1=idnum2 left join item0 on item=item_codigo where status not in ("O","X")))';
if($format==4){$phide=1;}
include('ele_select.php');

// $pid='clor'; $pvalue=$clor; $ptodo=1;
// $ptabla='clor';
// $plabel='Color';
// $ponchange='{buscar_item(event);}';
// $pwhere='(clor_codigo in(select distinct item_clor from inve1 left join inve2 on idnum1=idnum2 left join item0 on item=item_codigo where status not in ("O","X")))';
// if($format==4){$phide=1;}
// include('ele_select.php');

$pid='tstock'; $pvalue=$tstock;
$plabel='Stock';
$ptriv=1;
$ponchange='{buscar_item(event);}';
if($format==1 or $format==2){$phide=1;}
if($format==4){$phide=1;}
include('ele_select.php');

$pid='tfoto'; $pvalue=$tfoto;
$plabel='Foto';
$ptriv=1;
$ponchange='{buscar_item(event);}';
if($format==1 or $format==2){$phide=1;}
if($format==4){$phide=1;}
include('ele_select.php');

$pid='buscar'; 
$pvalue=$buscar;
$plabel='Texto';
$pplace='buscar';
$ponenter='{buscar_item(event);}';
if($format==4){$phide=1;}
include('ele_input.php');

$pid='btn_carrito'; 
$plabel='Carrito';
$palign='right';
$ponclick='{location.href="?scri=ctlg_item1&format=4&enti="+document.getElementById("enti").value;}';
if(empty($user_codigo) or $format==4){$phide=1;}
include('ele_button.php');

$pid='btn_busca'; 
$plabel='Buscar';
$palign='right';
$ponclick='{buscar_item(event);}';
if($format==4){$phide=1;}
include('ele_button.php');

echo '<span style="float:right; white-space:nowrap;">';     
if($format!=4)
{echo $msgres;}
echo '</span>';     



{    
     
include('ele_break.php');

$ptitulo=$xtitulo;     
include('ele_title.php');
     
 // if(@mb_stristr('sist.supe.admi',$user0['user_tipo']))
{

     if($format==2 or $format==5)
     {
          $pid='bode';
          $pvalue=$bode;
          $ptodo=1;
          $ptabla='bode'; $plabel='Bodega';
          $ponchange='{buscar_item(event);}';
          include('ele_select.php');
     }


$pid='orden'; $pvalue=$orden;
$plabel='Ordenar X';
$poptions='Código;Nombre (A-Z);Nombre (Z-A);Precio <;Precio >';
if($format==4)
{$poptions='Código;Nombre (A-Z);Nombre (Z-A);Cantidad;Precio <;Precio >';}
$ponchange='{buscar_item(event);}';
$palign='right';
include('ele_select.php');

}//filtros     
echo '</div>';
     
          echo '<div id="cliedatos">';
  
     
// if($format==2 or $format==3 or $format==4)
{
          if($format==2 or $format==3 or @mb_stristr('sist.supe.admi',$user0['user_tipo']));
          {
               $ptabla='enti';
     //           $pwhere='(left(enti_codigo,10) in(select distinct left(enti,10) from vtas1 union select distinct left(enti,10) from clie1))';
               include('ele_datalist.php');
          }
     
          $pid='enti'; 
          $ptabla='enti';
          $plist='dl_enti';
          $plabel='Cliente';
          $pvalue=$enti; 
          if($format==1){$phide=1;}
          if($format==1){$preado=1;}
//           if($format==4){$pcodeo=1;}
          if(!@mb_stristr('sist.supe.admi',$user0['user_tipo']))
          {
               $plabel='Cédula/Ruc';
               $pvalue=$user0['user_cedula'];
               $pcodeo=1;
          }
          include('ele_input.php');
     
          $pid='lpre'; 
          $pvalue=$lpre;
          $plabel='Lista'; 
          $ponchange='{buscar_item(event);}';
          $poptions='pvp1,Precio 1;pvp2,Precio 2;pvp3,Precio 3;pvp4,Precio 4;pvp5,Precio 5;';
          if(mb_stristr('imcp',$cfg_empr))
          {$poptions='puni1,Precio 1;puni2,Precio 2;puni3,Precio 3;puni4,Precio 4;puni5,Precio 5;';}
          if($format==1){$phide=1;}
          if(!@mb_stristr('sist.supe.admi',$user0['user_tipo']))
          {$phide=1; $preado=1; }
          include('ele_select.php');
     
     
}     
     
//      if($format==3)
     
     
     if($format==4)
     {
          
//           if(@mb_stristr('sist.supe.admi',$user0['user_tipo']))
//           {
//           }
          
          if(!@mb_stristr('sist.supe.admi',$user0['user_tipo']))
          {
               $ptabla='adrs';
//                $pwhere='(adrs_iuser="'.$user_codigo.'")';
               include('ele_datalist.php');
          }

          $pobj=1;include('ele_break.php');          
          
          $pid='email'; 
          $pvalue=$email; 
          $plabel='e-mail';
          include('ele_input.php');
          
          $pid='wsapp'; $pvalue=$wsapp; 
          $plabel='ws-app';
          $pclass='numeric';
          include('ele_input.php');

//           $pid='adrs';$pvalue=$adrs; 
//           $plabel='Dirección';
//           $pwidth=20;
//           $ptype='area';  
//           include('ele_input.php');
          
          $pid='adrs'; $pvalue=$adrs; 
          $plabel='Dirección';
          $ptabla='adrs';
          $plist='dl_adrs';
//           if(!@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$phide=0; $plabel='Cédula/Ruc'; $pexact=1;}
          include('ele_input.php');
          
          
//           $pobj=1;include('ele_break.php');
          
     }

     
     $plabel='Documento'; $pid='docu2';
     $poptions='PC,Pedido;';
     if(@mb_stristr('sist.supe.admi',$user0['user_tipo']))
     {$poptions='PF,Proforma;';}
//      else
//      {$poptions.='PC,Pedido;';}
//      $poptions.='FC,Factura';
     if($format!=4){$phide=1;}
     if(!@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$phide=1;}
     include('ele_select.php');
     

$pid='btn_procesar'; 
$plabel='Procesar';
$ponclick='{proc_carr();}';
if($format!=4){$phide=1;}
// if(!@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$phide=1;}
if(!@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$plabel='Ordenar';}
include('ele_button.php');


     
     
$pid='btn_reload'; 
$plabel='Actualizar';
$palign='right';
$ponclick='{location.reload();}';
if($format!=4){$phide=1;}
include('ele_button.php');
     
     
$pid='btn_vaciar'; 
$plabel='Vaciar';
$palign='right';
$ponclick='{dele_carr();}';
if($format!=4){$phide=1;}
include('ele_button.php');
     
          $pobj=1;include('ele_break.php');
     
     
          echo '</div>';
     
}
     
// if(!empty($user_codigo) and msql_num_rows($res_itemtot)!=0)
if($format==4)
{
     $cant=number_format(msql_result($res_itemtot,0,'cant_s'),2);
     $subt=number_format(msql_result($res_itemtot,0,'subt'),2);
     $tiva=number_format(msql_result($res_itemtot,0,'tiva'),2);
     $total=number_format(msql_result($res_itemtot,0,'total'),2);
     
     $pid=''; $pvalue=$cant; 
     $plabel='Unids.';
     $ptalign='right';
     $preado=2;
     include('ele_input.php');

     $pid=''; $pvalue=$subt; 
     $plabel='Sub-Tot';
     $ptalign='right';
     $preado=2;
     include('ele_input.php');

     $pid=''; $pvalue=$tiva; 
     $plabel='IVA';
     $ptalign='right';
     $preado=2;
     include('ele_input.php');

     $pid=''; $pvalue=$total; 
     $plabel='Total';
     $ptalign='right';
     $preado=2;
     $psize=2;
     include('ele_input.php');
     
     $pobj=1;include('ele_break.php');          
     
}

// $pid='btn_procesar'; 
// $plabel='Procesar';
// $ponclick='{proc_carr();}';
// if($format!=4){$phide=1;}
// if(!@mb_stristr('sist.supe.admi',$user0['user_tipo'])){$phide=1;}
// include('ele_button.php');
     

     
     
// $pid='btn_reload'; 
// $plabel='Actualizar';
// $palign='right';
// $ponclick='{location.reload();}';
// if($format!=4){$phide=1;}
// include('ele_button.php');
     
     
// $pid='btn_vaciar'; 
// $plabel='Vaciar';
// $palign='right';
// $ponclick='{dele_carr();}';
// if($format!=4){$phide=1;}
// include('ele_button.php');
     

     
     
include('ele_break.php');

echo '<div id="main2">';     
{     
     msql_data_seek($res_item,0);     
     while($aso_item=msql_fetch_assoc($res_item))
     {
          $pid=$aso_item['item_codigo'];
          $ptabla='item';
//           $pprecio='pvp1';
          $pprecio=$lpre;
     //      $pcodigo=$aso_item['item_codigo'];
          $pcodigo=$aso_item['item_rfer'];
          if(empty($pcodigo)){$pcodigo=$aso_item['item_mdlo'];}
          if(empty($pcodigo)){$pcodigo=$aso_item['item_codigo'];}
          $pstockv=3;
          if(mb_stristr('gnya.gmny',$cfg_empr) and !esMovil()){$pobj=4;}
//           if(mb_stristr('gnya.gmny',$cfg_empr) and !esMovil() and $format!=4){$pobj=4;}
     //      if(mb_stristr('gnya.gmny',$cfg_empr) and !esMovil()){$pobj=5; $psize=0;}
          if(mb_stristr('gnya.gmny',$cfg_empr)){$pstockv=0;}
          if($format==4){$pobj=5; $pstockv=0;}
          $pcarr=1;
          
          $pbode=$bode;
//           $ptotpvp=number_format($aso_item['total'],2); 
          $ptotpvp=$aso_item['total']; 
//           if($format==4){$psize=0.8;}
          include('ele_image.php');
          if($format==4){$pobj=1;include('ele_break.php');}
          $simi_codi=$pcodigo;
          $same_codi=trim($aso_item['item_codigo']);
          $same_desc=trim($aso_item['item_descri']);

     }

     if(msql_num_rows($res_item)==1 and $format!=4)
     {
          include('ele_break.php');
     //      $simi_desc=trim(substr($simi_desc,0,10));
          $same_desc=trim($same_desc);
          $same_desc=str_replace('  ',' ',$same_desc);
          $simi_desc=$same_desc;

          if(mb_stristr('gmny.gnya',$cfg_empr)){$same_codi=substr($same_codi,0,10);}
          if(mb_stristr('gmny.gnya',$cfg_empr)){$simi_desc=substr($same_codi,0,8);}  

          $sql_item=str_replace('where ','where item_codigo not like "'.$same_codi.'%" and ',$sql_item);

          $sql_simi=$sql_item;
          $sql_simi=str_replace('%'.$simi_codi.'%','%'.$simi_desc.'%',$sql_simi);
          $res_simi=msql_query($sql_simi,$link_data);

          if(msql_num_rows($res_simi)==0)
          {
               if(mb_stristr($simi_desc,' '))
               {
                    $words=explode(' ',$same_desc);
                    for($idx=count($words)-1; $idx>=0; $idx-- )
                    {
                         $simi_desc='';
                         for($idx2=0; $idx2<=$idx; $idx2++)
                         {$simi_desc.=$words[$idx2].' ';}
                         $simi_desc=trim($simi_desc);

                         $sql_simi=$sql_item;
                         $sql_simi=str_replace('%'.$simi_buscar.'%','%'.$simi_desc.'%',$sql_simi);
                         $res_simi=msql_query($sql_simi,$link_data);
     //                     if(msql_num_rows($res_simi)!=0){break;}
                         if(msql_num_rows($res_simi)>1){break;}
                    }
               }
          }     

          if(msql_num_rows($res_simi)==0)
          {
               $sql_simi=$sql_item;
               $sql_simi=str_replace('%'.$simi_buscar.'%','%'.$simi_desc.'%',$sql_simi);
               $res_simi=msql_query($sql_simi,$link_data);
          }

          if(msql_num_rows($res_simi)==0)
          {
               $sql_simi=$sql_item;
               $sql_simi=str_replace('%'.$simi_buscar.'%','%'.$same_desc.'%',$sql_simi);
               $res_simi=msql_query($sql_simi,$link_data);
          }

          if(msql_num_rows($res_simi)==0)
          {
               if(mb_stristr($same_desc,' ')){$same_desc=substr($same_desc,0,strpos($same_desc,' '));}
               $sql_simi=$sql_item;
               $sql_simi=str_replace('%'.$simi_buscar.'%','%'.$same_desc.'%',$sql_simi);
               $res_simi=msql_query($sql_simi,$link_data);
          }

          if(msql_num_rows($res_simi)!=0)
          {
               $ptitulo='SIMILARES';include('ele_title.php');
               include('ele_break.php');
     //           echo msql_num_rows($res_simi).' Resultado(s)...';
          }

          while($aso_item=msql_fetch_assoc($res_simi))
          {
               $pid=$aso_item['item_codigo'];
               $pcodigo=$aso_item['item_rfer'];
               if(empty($pcodigo)){$pcodigo=$aso_item['item_mdlo'];}
               if(empty($pcodigo)){$pcodigo=$aso_item['item_codigo'];}
               include('ele_image.php');
          }

     }
}
echo '</div>';     
     
     
}


?>


<script>
function buscar_item(event)
{
//      if(event.type=='click' || event.keyCode==13)
     {
//           get_para();
          var xhref='',dataget;
          xhref=xhref+'?scri=ctlg_item1';
          dataget=new_FormData('filtros','get');
          xhref=xhref+dataget;
          dataget=new_FormData('cliedatos','get');
          xhref=xhref+dataget;
          
          document.getElementById("main2").innerHTML='Espere...';
          location.href=xhref;          
     }
}
</script>

<script>
function proc_carr(event)
{
     
     var msgswal='';
     msgswal=msgswal;

     var color1=document.getElementById('color1').innerHTML;
     var color2=document.getElementById('color2').innerHTML;
          
//        text: "Esta operación NO es reversible",
     Swal.fire({
       title: 'Procesar Carrito ?',
       icon: 'warning',
       focusCancel: true,
       showCancelButton: true,
       confirmButtonColor: color1,
       cancelButtonColor: 'darkred',
       confirmButtonText: 'SI, Procesar'
     }).then((result) =>
     {
          if (result.isConfirmed) {
          document.getElementById("main2").innerHTML='Espere...';
               
          var xhref='',dataget;
          xhref=xhref+'?scri=proc_carr1';
          dataget=new_FormData('filtros','get');
          xhref=xhref+dataget;
          dataget=new_FormData('cliedatos','get');
          xhref=xhref+dataget;
          
          document.getElementById("main2").innerHTML='Espere...';
          document.getElementById("main1").innerHTML='Espere...';
          location.href=xhref;          
               
//           var data=new FormData();
//           data.append('script','dele_carr');
//           exe_ajax(data);
// //           Swal.fire('Vacíado!','El carrito ha sido vaciado.','success')
//           location.reload();              
          }
     })
     
     
     
     {
     }
}
</script>


<script>
function dele_carr()
{
     var msgswal='';
     msgswal=msgswal;

     var color1=document.getElementById('color1').innerHTML;
     var color2=document.getElementById('color2').innerHTML;
          
     Swal.fire({
       title: 'Vaciar el Carrito ?',
       text: "Esta operación NO es reversible",
       icon: 'warning',
       focusCancel: true,
       showCancelButton: true,
       confirmButtonColor: color1,
       cancelButtonColor: 'darkred',
       confirmButtonText: 'SI, Vacíalo!'
     }).then((result) =>
     {
          if (result.isConfirmed) {
          document.getElementById("main2").innerHTML='';               
          var data=new FormData();
          data.append('script','dele_carr');
          exe_ajax(data);
//           Swal.fire('Vacíado!','El carrito ha sido vaciado.','success')
          location.reload();              
          }
     })
}
</script>


<script>
function save_carr(item,cant)
{
     var data=new FormData();
     data.append('script','save_carr');
     data.append('item',item);
     data.append('cant',cant);
     data.append('lpre',document.getElementById("lpre").value);
     exe_ajax(data);
}
</script>

<script>document.title="<?php echo $xtitulo;?>"</script>
